package com.bcxin.ars.dto.sb;

import com.bcxin.ars.dto.SearchDto;
import com.bcxin.ars.model.SbReward;

import java.util.List;

/**
 *保安奖励搜索类
 * @author Ethan
 */
public class SbRewardSearchDto extends SearchDto<SbReward> {

	private String sbRewardList;

	public String getSbRewardList() {
		return sbRewardList;
	}

	public void setSbRewardList(String sbRewardList) {
		this.sbRewardList = sbRewardList;
	}

	/**
	 * 用户ID
	 */
	private Long userid;

	/**
	 * 姓名
	 */
	private String name;

	/**
	 * 身份证号
	 */
	private String idNumber;

	/**
	 * 员工编号
	 */
	private String employeeid;

	/**
	 * 部门名称
	 */
	private String departname;

	/**
	 * 奖励日期
	 */
	private String rewardDate;

	/**
	 * 奖励内容
	 */
	private String rewardContext;

	/**
	 * 奖励原因
	 */
	private String rewardReason;

	/**
	 * 备注
	 */
	private String remarks;

	/**
	 * 奖励单位
	 */
	private String rewardCompany;


	public Long getUserid() {
		return userid;
	}

	public void setUserid(Long userid) {
		this.userid = userid;
	}
	
	public String getName() {
		return name;
	}

	public void setName(String name) {
		this.name = name;
	}

	public String getIdNumber() {
		return idNumber;
	}

	public void setIdNumber(String idNumber) {
		this.idNumber = idNumber;
	}

	public String getEmployeeid() {
		return employeeid;
	}

	public void setEmployeeid(String employeeid) {
		this.employeeid = employeeid;
	}

	public String getDepartname() {
		return departname;
	}

	public void setDepartname(String departname) {
		this.departname = departname;
	}

	public String getRewardDate() {
		return rewardDate;
	}

	public void setRewardDate(String rewardDate) {
		this.rewardDate = rewardDate;
	}

	public String getRewardContext() {
		return rewardContext;
	}

	public void setRewardContext(String rewardContext) {
		this.rewardContext = rewardContext;
	}

	public String getRewardReason() {
		return rewardReason;
	}

	public void setRewardReason(String rewardReason) {
		this.rewardReason = rewardReason;
	}

	public String getRemarks() {
		return remarks;
	}

	public void setRemarks(String remarks) {
		this.remarks = remarks;
	}

	public String getRewardCompany() {
		return rewardCompany;
	}

	public void setRewardCompany(String rewardCompany) {
		this.rewardCompany = rewardCompany;
	}


}
